JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ at() [4/6]
const_reference nlohmann::basic_json::at | ( | const typename object_t::key_type & | key | ) | const
| inline
  Returns a const reference to the element at with specified key key, with bounds checking. Parameters
  [in] | key | key of the element to access
  Returns const reference to the element at key key Exceptions
  type_error.304 | if the JSON value is not an object; in this case, calling `at` with a key makes no sense. See example below.
  out_of_range.403 | if the key key is is not stored in the object; that is, `find(key) == end()`. See example below.
  Exception safety Strong guarantee: if an exception is thrown, there are no changes in the JSON value. Complexity Logarithmic in the size of the container. See also operator[](const typename object_t::key_type&) for unchecked access by reference value() for access by value with a default value Since version 1.0.0 Example The example below shows how object elements can be read using `at()`. It also demonstrates the different exceptions that can be thrown. 1 #include <iostream> 2 #include <nlohmann/json.hpp> 3 4 using json = nlohmann::json; 5 6 int main() 7 { 8 // create JSON object 9 const json object = 10 { 11 {"the good", "il buono"}, 12 {"the bad", "il cattivo"}, 13 {"the ugly", "il brutto"} 14 }; 15 16 // output element with key "the ugly" 17 std::cout << object.at("the ugly") << '\n'; 18 19 20 // exception type_error.304 21 try 22 { 23 // use at() on a non-object type 24 const json str = "I am a string"; 25 std::cout << str.at("the good") << '\n'; 26 } 27 catch (json::type_error& e) 28 { 29 std::cout << e.what() << '\n'; 30 } 31 32 // exception out_of_range.401 33 try 34 { 35 // try to read from a nonexisting key 36 std::cout << object.at("the fast") << '\n'; 37 } 38 catch (json::out_of_range) 39 { 40 std::cout << "out of range" << '\n'; 41 } 42 } Output (play with this example online):
      "il brutto"
      [json.exception.type_error.304] cannot use at() with string
      out of range
  The <a href= https://github.com/nlohmann/json/blob/develop/doc/examples/ at__object_t_key_type_const.cpp>example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/
      at__object_t_key_type_const.cpp -o
      at__object_t_key_type_const
Definition at line 19239 of file json.hpp.

nlohmann::basic_json::type_error
detail::type_error type_error
exception indicating executing a member function with a wrong type
Definition: json.hpp:16045
nlohmann::basic_json::out_of_range
detail::out_of_range out_of_range
exception indicating access out of the defined range
Definition: json.hpp:16047
nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774